#
# (C) Copyright 2022
# Luca Magrone
# 
# SPDX-License-Identifier:      Unlicense
# 

Name:           piscope
Version:        0.8
Release:        1%{?dist}
Summary:        A logic analyser (digital waveform viewer)

ExclusiveArch:  aarch64 %{arm}

License:        Unlicense
URL:            https://abyz.me.uk/rpi/pigpio/piscope.html

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  gtk3-devel
BuildRequires:  pigpio-devel

Source:         https://github.com/joan2937/piscope/archive/refs/tags/V%{version}.tar.gz

%description
piscope is a logic analyser (digital waveform viewer) for the Raspberry.  It shows the state (high or low) of selected GPIO in real-time.

%prep
%autosetup

%build
export CFLAGS="%{optflags}"
# Add flags
sed -i 's!CCFLAGS =!CCFLAGS = $(CFLAGS)!g' Makefile
sed -i 's!LNFLAGS =!LNFLAGS = $(LDFLAGS)!g' Makefile

%make_build

%install
# Fix prefixes
sed -i 's!/usr/local!%{buildroot}%{_prefix}!g' Makefile
sed -i 's!/usr/share!%{buildroot}%{_datadir}!g' Makefile
# Remove sudo command
sed -i 's!sudo !!g' Makefile

%make_install

%files
%license LICENSE
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Tue Nov 08 2022 Luca Magrone <luca@magrone.cc> - 0.8-1
- Initial package release
